import { stringify } from 'qs';
import { request } from '@umijs/max';
import webpath from '@/utils/webPath';


export async function deleteByPrimaryKeyForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/delete?${stringify(params)}`);
}


export async function selectByPrimaryKeyForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/get?${stringify(params)}`);
}


export async function insertForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/insert`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function updateForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/update`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function deleteByMapForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/deleteByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateByMapForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/updateByMap`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}


export async function getOneForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/getOne`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}



export async function getAllForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/getAll`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function queryPageForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/queryPage`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}


export async function countForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/count`, {
        method: 'POST',
        data: {
            ...params,
            method: 'fetch',
        },
    });
}

export async function insertBatchForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/insertBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'insert',
        },
    });
}


export async function deleteBatchForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/deleteBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'delete',
        },
    });
}


export async function updateBatchForWordFileUser(params = {}) {
    return request(`/${webpath.portalwebpath}/web/api/service/wordfileuser/updateBatch`, {
        method: 'POST',
        data: {
            ...params,
            method: 'update',
        },
    });
}
